Subject: Re: [PATCH 2/15] powerpc, celleb: Basic supports for Celleb

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 14 Dec 2006 16:37:35 +1100

> > I'm not sure if it's a good idea to claim CHRP compatibility
> > here. Is that a workaround for a specific incompatibility? Normally,
> > I'd say you should print "machine\t\t: BEAT %s\n" or
> > "machine\t\t: Celleb %s\n", since you are definitely not running
> > a CHRP compatible firmware.
> 
> This is placed only to "trick" Anaconda into installing Fedora Core Linux.
> Fedora refuses to be installed into 'unknown' system.

David, can you do some serious LART'ing of whoever is responsible for
this in anaconda ? Is there at least an option somebody can pass on the
commmand line to make it work on unknown platforms ?

It's not the first time stupid userland assumptions are causing us
problems and it won't be the last, but I'd be really annoyed to have to
let that one through...

Ben.